Upgrading from 3.2.5 to 4.1

Get help using, installing and / or configuring The Bug Genie here
Post Reply
williamsdb
Posts: 3
Joined: Thu Apr 14, 2016 7:29 am

Upgrading from 3.2.5 to 4.1

Post by williamsdb » Thu Apr 14, 2016 7:35 am

Hi

I have been looking at upgrading to the latest version from v3.2.5. I have had a look at the upgrade.md but parts are not clear to me. Hopefully someone can shed some light.

This is what I have done:

1. moved my existing installation to a different folder
2. I have uploaded v4.1 to a new folder on my server and run composer in this folder to download all the dependancies
3. now what?

The upgrade.md instructions read as if I should be working on the old version of BG. Should I be merging the new version files with the old installation?

This is not clear to me from the upgrade.md file.

Thanks

moorken
Posts: 1
Joined: Mon Apr 18, 2016 8:36 am

Re: Upgrading from 3.2.5 to 4.1

Post by moorken » Mon Apr 18, 2016 8:39 am

i guess we will indeed need some better instructions on that. i didn't want to execute an upgrade myself either because of this, don't want to mess up my current setup, however 4.1 has some great improvements which i really want to use, so i really want to do that upgrade!

kanto501
Posts: 23
Joined: Tue Feb 02, 2016 10:27 am

Re: Upgrading from 3.2.5 to 4.1

Post by kanto501 » Mon Apr 18, 2016 9:33 am

Have you read this page? http://issues.thebuggenie.com/wiki/TheBugGenie%3AFAQ it should give you want you need. If not let me know what you need.

kanto501

williamsdb
Posts: 3
Joined: Thu Apr 14, 2016 7:29 am

Re: Upgrading from 3.2.5 to 4.1

Post by williamsdb » Wed Apr 20, 2016 7:45 am

Hi @kanto501 the instructions on the wiki (for 3.2.7 -> 4.0) are exactly the same as the update.md file so don't have any further details. Do I overwrite the current 3.7 installation with the 4.0 install?

kanto501
Posts: 23
Joined: Tue Feb 02, 2016 10:27 am

Re: Upgrading from 3.2.5 to 4.1

Post by kanto501 » Wed Apr 20, 2016 9:51 am

ok, not much time to address your problem this morning and some of the info in this link might be out of date but it could help. Try this link: http://archive.forum.thebuggenie.org/vi ... f=7&t=2256

kanto501

williamsdb
Posts: 3
Joined: Thu Apr 14, 2016 7:29 am

Re: Upgrading from 3.2.5 to 4.1

Post by williamsdb » Tue May 31, 2016 10:44 am

So after following all the updated instructions (and upgrading to PHP 5.5 even through the requirements say 5.3 is fine) I now get the following during the upgrade process:

PHP Fatal error: Undefined class constant 'B2DB_TABLE_VERSION' in /var/www/issues/core/entities/tables/Notifications.php on line 233,

Anyone else encountered this and know how to fix?

Thanks

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests